package com.pcloud.book.personalstage.dao;

import com.pcloud.book.personalstage.entity.PersonalStageProgressMessage;
import com.pcloud.common.core.dao.BaseDao;

import java.util.Date;
import java.util.List;

/**
 * (PersonalStageProgressMessage)表数据库访问层
 *
 * @author zyq
 * @since 2020-02-24 15:57:48
 */
public interface PersonalStageProgressMessageDao extends BaseDao<PersonalStageProgressMessage> {

    List<PersonalStageProgressMessage> getPersonalProgress(Date startTime);

    List<PersonalStageProgressMessage> getProgressMessageList();

    void deleteAll();
}